Subject: Re: bug#25088: 25.1; feature-unload and reload of cl-defstruct fails

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 Dec 2016 05:35:32 +0200

> From: [email-masked]
> Cc: [email-masked]
> Date: Sat, 03 Dec 2016 17:38:36 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> >
> > How risky is this change?  cl-defstruct is a very widely used macro,
> > whereas unload-feature is a relatively obscure feature.  Is it really
> > worth fixing the (IMO minor) error and risking to break Emacs 25.2?
> >
> > I don't have an intuition I can trust in these matters, so I need you
> > and others who do to offer their opinions, after carefully considering
> > the pros and cons.
> 
> I think it's safe, but I've been wrong before.  I agree that
> unload-feature is sufficiently obscure that this can go to master
> instead of emacs-25.

Thanks.  Any other opinions?

I will leave it for a few days for others to chime in.

> Perhaps the real bug is that unload-feature doesn't undo `put', thus the
> compiler-macro still hangs around.

If this means there could be another, safer way of fixing this, please
show the details.